#ifndef KOREL_FORM_H
#define KOREL_FORM_H

#include <QDialog>


#include <my_image.h>
#include "funkce.h"


namespace Ui {
    class korel_form;
}

class korel_form : public QDialog {
    Q_OBJECT
public:
    korel_form(QWidget *parent = 0);
    ~korel_form();
    void load_img(my_image *new_img);
    my_image * apply_filt(my_image * new_image);//tato funke aplykuje veskere filtry vstupni obraz --alokuje pamet



protected:
    void changeEvent(QEvent *e);
    my_image * img;
private:
    Ui::korel_form *ui;

public slots:
    void Btn_Show();
    void Btn_OK();
    void CheckBox_Change(int state);
signals:
    void Form_Close();

};

#endif // KOREL_FORM_H
